Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.latka.http
Interface Response

All Known Implementing Classes:
  ResponseImpl

public interface Response

A Latka Response represents a response from an HTTP server.

Author:
  Doug Sale, Morgan Delagrange

Method Summary
`int` | `getByteLength()` Returns the length of the Response stream (as bytes), or -1 if no stream is available
`java.lang.String` | `getHeader(java.lang.String headerName)` Check a response header.
`Request` | `getRequest()` The request that generated this response
`java.lang.String` | `getResource()`
`int` | `getStatusCode()`
`java.io.InputStream` | `getStream()` Get the actual bytes returned by the web server

Method Detail

### getByteLength

    public int getByteLength()

  Returns the length of the Response stream (as bytes), or -1 if no stream is available
  Returns:
    Byte length of the response stream

### getHeader

    public java.lang.String getHeader(java.lang.String headerName)

  Check a response header.
  Parameters:
    `headerName` - The name of the header to find in the Reponse
  Returns:
    the value of the header, or null if the header does not exist

### getRequest

    public Request getRequest()

  The request that generated this response

### getResource

    public java.lang.String getResource()

  Returns:
    the resource, in string form, provided by the HTTP server.

### getStatusCode

    public int getStatusCode()

  Returns:
    the integer status code provided by the HTTP server.

### getStream

    public java.io.InputStream getStream()

  Get the actual bytes returned by the web server
  Returns:
    InputStream containing the HTTP response

Overview | Package | Class | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. Documenation generated September 13 2001.